﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace XForms.Controls
{
    public class Label : BaseComponents.BaseControl
    {
#if WINDOWS
        public Label(Game game, String name, BaseComponents.BaseForm owner = null)
#elif WINDOWS_PHONE
        public Label(Game game, String name, BaseComponents.BaseForm owner)
#endif
            : base(game, name, owner)
        {
            this.CanClose = true;

            if (this.HasOwner)
                this.Location = this.Owner.Center;

            if (String.IsNullOrEmpty(name))
                this.Text = "New Label";
        }

        public override void Initialize()
        {
            base.Initialize();

            this.SetBackgroundColor(Color.Transparent);
            this.SetTextColor(Color.Black);
        }
    }
}
